how to use modpagespeed — CyberPanel - WebHosting Control Panel for OpenLiteSpeed
CyberLoader

how to use modpagespeed

first is the module installed?

because it' saying that in litespeed status

module versions:
modpagespeed 2.2-1.11.33.4

so i guess so?

so what is a good guideline to use it with litespeed?

Comments

  • edited August 2019
    If you are using Litespeed cache then you probably shouldn't use mod_pagespeed.

    This from the litespeed wiki:

    Since version 5.2, LSWS provides PageSpeed support. It is possible to enable both PageSpeed and LSCache together in theory, but we don't recommend it.

    PageSpeed and LSCache (including LiteMage and all other full page caches) should never be used together in a real production environment. LSCache is recommended to boost your site performance. When a page is cached, it can no longer be run through PageSpeed for HTML improvements, though the PageSpeed optimizations to CSS, JS, and image files will be in effect. Most importantly, when PageSpeed is used, it generates different output for different browsers, which means that the output is not cache friendly.

    https://www.litespeedtech.com/support/wiki/doku.php/litespeed_wiki:config:enable_pagespeed?s[]=pagespeed
  • but it does not explain how to use it into cyberpanel there no option to either activate it, or what's should i add into my .htaccess
Sign In or Register to comment.
CyberPanel Discord

Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!